<?php

if (!defined ('TYPO3_MODE'))  die ('Access denied.');

$TCA['tx_wine_main'] = array (
  'ctrl' => $TCA['tx_wine_main']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'sys_language_uid,l10n_parent,l10n_diffsource,hidden,starttime,endtime,title,short,description,year,ageing,price,currency,price_display,region,winery,maintype,subtype,varietal,alcohol,acid,temperature,drinkability,image,imagecaption,imagealttext,imagetitletext,documents'
  ),
  'feInterface' => $TCA['tx_wine_main']['feInterface'],
  'columns' => array (
    'sys_language_uid' => array (   
      'exclude' => 1,
      'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
      'config' => array (
        'type'                => 'select',
        'foreign_table'       => 'sys_language',
        'foreign_table_where' => 'ORDER BY sys_language.title',
        'items' => array(
          array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
          array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
        )
      )
    ),
    'l10n_parent' => array (    
      'displayCond' => 'FIELD:sys_language_uid:>:0',
      'exclude'     => 1,
      'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
      'config'      => array (
        'type'  => 'select',
        'items' => array (
          array('', 0),
        ),
        'foreign_table'       => 'tx_wine_main',
        'foreign_table_where' => 'AND tx_wine_main.pid=###CURRENT_PID### AND tx_wine_main.sys_language_uid IN (-1,0)',
      )
    ),
    'l10n_diffsource' => array (    
      'config' => array (
        'type' => 'passthrough'
      )
    ),
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'starttime' => array (    
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
      'config'  => array (
        'type'     => 'input',
        'size'     => '8',
        'max'      => '20',
        'eval'     => 'date',
        'default'  => '0',
        'checkbox' => '0'
      )
    ),
    'endtime' => array (    
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
      'config'  => array (
        'type'     => 'input',
        'size'     => '8',
        'max'      => '20',
        'eval'     => 'date',
        'checkbox' => '0',
        'default'  => '0',
        'range'    => array (
          'upper' => mktime(3, 14, 7, 1, 19, 2038),
          'lower' => mktime(0, 0, 0, date('m')-1, date('d'), date('Y'))
        )
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'required',
      )
    ),
    'short' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.short',    
      'config' => array (
        'type' => 'text',
        'cols' => '30', 
        'rows' => '5',
      )
    ),
    'description' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.description',    
      'config' => array (
        'type' => 'text',
        'cols' => '30',
        'rows' => '5',
        'wizards' => array(
          '_PADDING' => 2,
          'RTE' => array(
            'notNewRecords' => 1,
            'RTEonly'       => 1,
            'type'          => 'script',
            'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
            'icon'          => 'wizard_rte2.gif',
            'script'        => 'wizard_rte.php',
          ),
        ),
      )
    ),
    'year' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.year',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_year',  
        'foreign_table_where' => 'AND tx_wine_year.pid=###STORAGE_PID### ORDER BY tx_wine_year.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_year_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_year',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_year',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'ageing' => array (   
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.ageing',    
      'config' => array (
        'type' => 'text',
        'cols' => '30', 
        'rows' => '5',
      )
    ),
    'price' => array (
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.price',    
      'config' => array (
        'type' => 'input',  
        'size' => '7',
        'max'  => '7',
        'eval' => 'required,double2',
      )
    ),
    'currency' => array (
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.currency',    
      'config' => array (
        'type' => 'input',  
        'size' => '60',
        'max'  => '60',
      )
    ),
    'price_display' => array (
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.price_display',    
      'config' => array (
        'type' => 'radio',  
        'items' => array (
          array('LLL:EXT:wine/locallang_db.xml:tx_wine_main.price_display.I.0', 0),
          array('LLL:EXT:wine/locallang_db.xml:tx_wine_main.price_display.I.1', 1),
        ),
        'default' => 1,
      )
    ),
    'region' => array (   
      'exclude' => 0,
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.region',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_region',  
        'foreign_table_where' => 'AND tx_wine_region.pid=###STORAGE_PID### ORDER BY tx_wine_region.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_region_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_region',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_region',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'winery' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.winery',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_winery',  
        'foreign_table_where' => 'AND tx_wine_winery.pid=###STORAGE_PID### ORDER BY tx_wine_winery.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_winery_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_winery',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_winery',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'maintype' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.maintype',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_maintype',  
        'foreign_table_where' => 'AND tx_wine_maintype.pid=###STORAGE_PID### ORDER BY tx_wine_maintype.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_maintype_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_maintype',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_maintype',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'subtype' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.subtype',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_subtype',  
        'foreign_table_where' => 'AND tx_wine_subtype.pid=###STORAGE_PID### ORDER BY tx_wine_subtype.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_subtype_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_subtype',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_subtype',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'varietal' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.varietal',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_varietal',  
        'foreign_table_where' => 'AND tx_wine_varietal.pid=###STORAGE_PID### ORDER BY tx_wine_varietal.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_varietal_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_varietal',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_varietal',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'alcohol' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.alcohol',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_alcohol',  
        'foreign_table_where' => 'AND tx_wine_alcohol.pid=###STORAGE_PID### ORDER BY tx_wine_alcohol.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_alcohol_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_alcohol',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_alcohol',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'acid' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.acid',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_acid',  
        'foreign_table_where' => 'AND tx_wine_acid.pid=###STORAGE_PID### ORDER BY tx_wine_acid.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_acid_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_acid',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_acid',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'temperature' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.temperature',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_temperature',  
        'foreign_table_where' => 'AND tx_wine_temperature.pid=###STORAGE_PID### ORDER BY tx_wine_temperature.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_temperature_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_temperature',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_temperature',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'drinkability' => array (   
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.drinkability',   
      'config' => array (
        'type' => 'select', 
        'foreign_table' => 'tx_wine_drinkability',  
        'foreign_table_where' => 'AND tx_wine_drinkability.pid=###STORAGE_PID### ORDER BY tx_wine_drinkability.title',  
        'size' => 10, 
        'minitems' => 0,
        'maxitems' => 1,  
        "MM" => "tx_wine_main_drinkability_mm", 
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_wine_drinkability',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_wine_drinkability',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'image' => array (    
      'exclude' => 0,   
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.image',    
      'config' => array (
        'type' => 'group',
        'internal_type' => 'file',
        'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'], 
        'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'], 
        'uploadfolder' => 'uploads/tx_wine',
        'show_thumbs' => 1, 
        'size' => 3,  
        'minitems' => 0,
        'maxitems' => 10,
      )
    ),
    'imagecaption' => array (   
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.imagecaption',   
      'config' => array (
        'type' => 'text',
        'cols' => '30', 
        'rows' => '5',
      )
    ),
    'imagealttext' => array (   
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.imagealttext',   
      'config' => array (
        'type' => 'text',
        'cols' => '30', 
        'rows' => '5',
      )
    ),
    'imagetitletext' => array (   
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.imagetitletext',   
      'config' => array (
        'type' => 'text',
        'cols' => '30', 
        'rows' => '5',
      )
    ),
    'documents' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_main.documents',    
      'config' => array (
        'type' => 'group',
        'internal_type' => 'file',
        'allowed' => '',  
        'disallowed' => 'php,php3', 
        'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'], 
        'uploadfolder' => 'uploads/tx_wine',
        'size' => 3,  
        'minitems' => 0,
        'maxitems' => 10,
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => '--div--;LLL:EXT:wine/locallang_db.xml:tx_wine_main.div_display,     sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1,'.
                               '--div--;LLL:EXT:wine/locallang_db.xml:tx_wine_main.div_description, title;;2;;2-2-2, description;;;richtext[]:rte_transform[mode=ts], year, ageing, price;;3,'.
                               '--div--;LLL:EXT:wine/locallang_db.xml:tx_wine_main.div_images,      image,imagecaption;;4,documents;;;;3-3-3,'.
                               '--div--;LLL:EXT:wine/locallang_db.xml:tx_wine_main.div_data,        region, winery, maintype, subtype, varietal, alcohol, acid, temperature, drinkability'),
  ),
  'palettes' => array (
    '1' => array('showitem' => 'starttime, endtime'),
    '2' => array('showitem' => 'short'),
    '3' => array('showitem' => 'price_display, currency'),
    '4' => array('showitem' => 'imagealttext, imagetitletext'),
  )
);



$TCA['tx_wine_region'] = array (
  'ctrl' => $TCA['tx_wine_region']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_region']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_region.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'required',
      )
    ),
    'title_lang_ol' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_region.title_lang_ol',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_winery'] = array (
  'ctrl' => $TCA['tx_wine_winery']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_winery']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_winery.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'required',
      )
    ),
    'title_lang_ol' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_winery.title_lang_ol',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_maintype'] = array (
  'ctrl' => $TCA['tx_wine_maintype']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_maintype']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_maintype.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'required',
      )
    ),
    'title_lang_ol' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_maintype.title_lang_ol',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_subtype'] = array (
  'ctrl' => $TCA['tx_wine_subtype']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_subtype']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_subtype.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'required',
      )
    ),
    'title_lang_ol' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_subtype.title_lang_ol',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_varietal'] = array (
  'ctrl' => $TCA['tx_wine_varietal']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_varietal']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_varietal.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'required',
      )
    ),
    'title_lang_ol' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_varietal.title_lang_ol',    
      'config' => array (
        'type' => 'input',  
        'size' => '30',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_alcohol'] = array (
  'ctrl' => $TCA['tx_wine_alcohol']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_alcohol']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_alcohol.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '5',
        'max'  => '5',
        'eval' => 'required,double2',
        'range' => array('lower' => 0.00, 'upper' => 70.00),
    )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_acid'] = array (
  'ctrl' => $TCA['tx_wine_acid']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_acid']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_acid.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '5',
        'max'  => '5',
        'eval' => 'required,double2',
        'range' => array('lower' => 0.00, 'upper' => 30.00),
    )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_temperature'] = array (
  'ctrl' => $TCA['tx_wine_temperature']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_temperature']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_temperature.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '2',
        'max'  => '2',
        'eval' => 'required,int',
        'range' => array('lower' => 0, 'upper' => 30),
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_drinkability'] = array (
  'ctrl' => $TCA['tx_wine_drinkability']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_drinkability']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_drinkability.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '60',
        'eval' => 'required',
      )
    ),
    'title_lang_ol' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_drinkability.title_lang_ol',    
      'config' => array (
        'type' => 'input',  
        'size' => '60',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);



$TCA['tx_wine_year'] = array (
  'ctrl' => $TCA['tx_wine_year']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,title_lang_ol'
  ),
  'feInterface' => $TCA['tx_wine_year']['feInterface'],
  'columns' => array (
    'hidden' => array (   
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_year.title',    
      'config' => array (
        'type' => 'input',  
        'size' => '60',
        'eval' => 'required,year',
      )
    ),
    'title_lang_ol' => array (    
      'exclude' => 0,   
      'label' => 'LLL:EXT:wine/locallang_db.xml:tx_wine_drinkability.title_lang_ol',    
      'config' => array (
        'type' => 'input',  
        'size' => '60',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, title_lang_ol;;;;3-3-3')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);

?>